import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebColumnStateDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    private static __marshalByValue;
    private static __marshalByValueAlias;
    constructor();
    private r;
    get pinned(): boolean;
    set pinned(a: boolean);
    private u;
    get sortable(): boolean;
    set sortable(a: boolean);
    private l;
    get filterable(): boolean;
    set filterable(a: boolean);
    private k;
    get editable(): boolean;
    set editable(a: boolean);
    private v;
    get sortingIgnoreCase(): boolean;
    set sortingIgnoreCase(a: boolean);
    private m;
    get filteringIgnoreCase(): boolean;
    set filteringIgnoreCase(a: boolean);
    private as;
    get headerClasses(): string;
    set headerClasses(a: string);
    private at;
    get headerGroupClasses(): string;
    set headerGroupClasses(a: string);
    private au;
    get maxWidth(): string;
    set maxWidth(a: string);
    private n;
    get groupable(): boolean;
    set groupable(a: boolean);
    private q;
    get movable(): boolean;
    set movable(a: boolean);
    private p;
    get hidden(): boolean;
    set hidden(a: boolean);
    private ap;
    get dataType(): string;
    set dataType(a: string);
    private o;
    get hasSummary(): boolean;
    set hasSummary(a: boolean);
    private aq;
    get field(): string;
    set field(a: string);
    private al;
    get width(): any;
    set width(a: any);
    private ar;
    get header(): string;
    set header(a: string);
    private s;
    get resizable(): boolean;
    set resizable(a: boolean);
    private t;
    get searchable(): boolean;
    set searchable(a: boolean);
    private i;
    get columnGroup(): boolean;
    set columnGroup(a: boolean);
    private ak;
    get parent(): any;
    set parent(a: any);
    private j;
    get disableHiding(): boolean;
    set disableHiding(a: boolean);
}
